export function SQLBehaviour(): void;
export namespace SQLBehaviour {
    function isSaneInsertion(editor: any, session: any): boolean;
    function $matchTokenType(token: any, types: any): boolean;
    function recordAutoInsert(editor: any, session: any, bracket: any): void;
    function recordMaybeInsert(editor: any, session: any, bracket: any): void;
    function isAutoInsertedClosing(cursor: any, line: any, bracket: any): boolean;
    function isMaybeInsertedClosing(cursor: any, line: any): boolean;
    function popAutoInsertedClosing(): void;
    function clearMaybeInsertedClosing(): void;
}
